Package org.apache.batchee.container.services.persistence.jpa.domain

## Class StepExecutionEntity

- java.lang.Object
- - org.apache.batchee.container.services.persistence.jpa.domain.StepExecutionEntity

-     @Entity
      public class StepExecutionEntity
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `StepExecutionEntity.Queries` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `TABLE_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StepExecutionEntity()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `long` | `getCommit()` |
    `Timestamp` | `getEndTime()` |
    `JobExecutionEntity` | `getExecution()` |
    `String` | `getExitStatus()` |
    `long` | `getFilter()` |
    `long` | `getId()` |
    `long` | `getLastRunStepExecutionId()` |
    `Integer` | `getNumPartitions()` |
    `byte[]` | `getPersistentData()` |
    `long` | `getProcessSkip()` |
    `long` | `getRead()` |
    `long` | `getReadSkip()` |
    `long` | `getRollback()` |
    `int` | `getStartCount()` |
    `Timestamp` | `getStartTime()` |
    `String` | `getStepName()` |
    `long` | `getWrite()` |
    `long` | `getWriteSkip()` |
    `void` | `setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)` |
    `void` | `setCommit​(long commit)` |
    `void` | `setEndTime​(Timestamp endTime)` |
    `void` | `setExecution​(JobExecutionEntity execution)` |
    `void` | `setExitStatus​(String exitStatus)` |
    `void` | `setFilter​(long filter)` |
    `void` | `setLastRunStepExecutionId​(long lastRunStepExecutionId)` |
    `void` | `setNumPartitions​(Integer numPartitions)` |
    `void` | `setPersistentData​(byte[] persistentData)` |
    `void` | `setProcessSkip​(long processSkip)` |
    `void` | `setRead​(long read)` |
    `void` | `setReadSkip​(long readSkip)` |
    `void` | `setRollback​(long rollback)` |
    `void` | `setStartCount​(int startCount)` |
    `void` | `setStartTime​(Timestamp startTime)` |
    `void` | `setStepName​(String stepName)` |
    `void` | `setWrite​(long write)` |
    `void` | `setWriteSkip​(long writeSkip)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_NAME

          public static final String TABLE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StepExecutionEntity

          public StepExecutionEntity()

  - ### Method Detail

    - #### getId

          public long getId()

    - #### getExecution

          public JobExecutionEntity getExecution()

    - #### setExecution

          public void setExecution​(JobExecutionEntity execution)

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

    - #### setBatchStatus

          public void setBatchStatus​(javax.batch.runtime.BatchStatus batchStatus)

    - #### getExitStatus

          public String getExitStatus()

    - #### setExitStatus

          public void setExitStatus​(String exitStatus)

    - #### getStepName

          public String getStepName()

    - #### setStepName

          public void setStepName​(String stepName)

    - #### getRead

          public long getRead()

    - #### setRead

          public void setRead​(long read)

    - #### getWrite

          public long getWrite()

    - #### setWrite

          public void setWrite​(long write)

    - #### getCommit

          public long getCommit()

    - #### setCommit

          public void setCommit​(long commit)

    - #### getRollback

          public long getRollback()

    - #### setRollback

          public void setRollback​(long rollback)

    - #### getReadSkip

          public long getReadSkip()

    - #### setReadSkip

          public void setReadSkip​(long readSkip)

    - #### getProcessSkip

          public long getProcessSkip()

    - #### setProcessSkip

          public void setProcessSkip​(long processSkip)

    - #### getFilter

          public long getFilter()

    - #### setFilter

          public void setFilter​(long filter)

    - #### getWriteSkip

          public long getWriteSkip()

    - #### setWriteSkip

          public void setWriteSkip​(long writeSkip)

    - #### getStartTime

          public Timestamp getStartTime()

    - #### setStartTime

          public void setStartTime​(Timestamp startTime)

    - #### getEndTime

          public Timestamp getEndTime()

    - #### setEndTime

          public void setEndTime​(Timestamp endTime)

    - #### getPersistentData

          public byte[] getPersistentData()

    - #### setPersistentData

          public void setPersistentData​(byte[] persistentData)

    - #### getStartCount

          public int getStartCount()

    - #### setStartCount

          public void setStartCount​(int startCount)

    - #### getNumPartitions

          public Integer getNumPartitions()

    - #### setNumPartitions

          public void setNumPartitions​(Integer numPartitions)

    - #### getLastRunStepExecutionId

          public long getLastRunStepExecutionId()

    - #### setLastRunStepExecutionId

          public void setLastRunStepExecutionId​(long lastRunStepExecutionId)